org.apache.fop.render.rtf.rtflib.tools

## Class ImageUtil

- java.lang.Object
- - org.apache.fop.render.rtf.rtflib.tools.ImageUtil

-     public final class ImageUtil
      extends java.lang.Object

  Misc.utilities for images handling This class belongs to the fo:external-graphic tag processing. This work was originally authored by Andreas Putz

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `compareHexValues(byte[] pattern, byte[] data, int searchAt, boolean searchForward)` Compares two hexadecimal values.
    `static int` | `getInt(java.lang.String value)` Determines the digits from a string.
    `static int` | `getIntFromByteArray(byte[] data, int startAt, int length, boolean searchForward)` Determines a integer value from a hexadecimal byte array.
    `static boolean` | `isPercent(java.lang.String value)` Checks the string for percent character at the end of string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInt

          public static int getInt(java.lang.String value)

      Determines the digits from a string.
      Parameters:
        `value` - String with digits
      Returns:
        -1 There is no digit number The digits as integer

    - #### isPercent

          public static boolean isPercent(java.lang.String value)

      Checks the string for percent character at the end of string.
      Parameters:
        `value` - String with digits
      Returns:
        true The string contains a % value false Other string

    - #### compareHexValues

          public static boolean compareHexValues(byte[] pattern,
                                 byte[] data,
                                 int searchAt,
                                 boolean searchForward)

      Compares two hexadecimal values.
      Parameters:
        `pattern` - Target
        `data` - Data
        `searchAt` - Position to start compare
        `searchForward` - Direction to compare byte arrays
      Returns:
        true If equal false If different

    - #### getIntFromByteArray

          public static int getIntFromByteArray(byte[] data,
                                int startAt,
                                int length,
                                boolean searchForward)

      Determines a integer value from a hexadecimal byte array.
      Parameters:
        `data` - Image
        `startAt` - Start index to read from
        `length` - Number of data elements to read
        `searchForward` - True if searching forward, False if not (??)
      Returns:
        integer

Copyright 1999-2019 The Apache Software Foundation. All Rights Reserved.